<?
/*--------------------------------------------+
| PHP-Fusion v6 - Content Management System   |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|   [ T-W-Designs ] Theme for PHP-Fusion v6   |
|---------------------------------------------|
| author: T-W-Designs - XYGAMER  2006        |
| web: http://www.talking-world.de            |
| email: info@talking-world.de                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

// theme settings
$body_text = "#000000";
$body_bg = "#ffffff";
$theme_width = "100%";
$theme_width_l = "190";
$theme_width_r = "180";

function render_header($header_content) {

global $theme_width;

echo "<table align='center' cellspacing='0' cellpadding='0' width='$theme_width'>
<tr>
<td>
<table align='center' cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td class='full-header'>
<table align='center' cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td><center>$header_content</center></td><td></td>
</tr>
</table>
</td>
</tr>
</table>\n";

echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>
<td style='width:180px'><img src='".THEME."images/whiteleft.gif'></td><td class='white-header'>".showsublinks("&nbsp;","white")."&nbsp;</td>
<td align='right' class='white-header'>".showsubdate()."</td>

</tr>
</table>\n";

echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";

}

function render_footer($license=false) {

global $theme_width,$settings;

echo "</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td style='width:190px'><img src='".THEME."images/footleft.gif'></td><td align='center' class='footer'>".stripslashes($settings['footer'])."\n";
if (!$license)  { echo "Powered by <a class='white' target='_blank' href='http://www.php-fusion.co.uk'>PHP-Fusion</a> v".$settings['version']."  2003-2005"." Design  by <a class='white' target='_blank' href='http://www.talking-world.de'>Talking-World</a><br>
\n"; } echo showcounter()."
</td>
<td style='width:181px'><img src='".THEME."images/footright.gif'></td>
</tr>
</table>
</td>
</tr>
</table>\n";

}


function render_news($subject, $news, $info) {



echo "<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td style='width:14px'><img src='".THEME."images/scapleft.gif' alt=''></td>
<td class='capmain'><b>$subject</b></td>
<td style='width:14px'><img src='".THEME."images/scapright.gif' alt=''></td>
</tr>
</table>
<tr>
<td class='main-body'>$news</td>
</tr>
<tr>
<td align='center' class='news-footer'>\n";
echo openform("N",$info['news_id']).newsposter($info,"<br><br>").newsopts($info,"&middot;").closeform("N",$info['news_id']);
echo "</td>
</tr>
</table>\n";

}

function render_article($subject, $article, $info) {

echo "<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td style='width:14px'><img src='".THEME."images/scapleft.gif' alt=''></td>
<td class='capmain'><b>$subject</b></td>
<td style='width:14px'><img src='".THEME."images/capr.gif' alt=''></td>
</tr>
</table>
<tr>
<td class='main-body'>
".($info['article_breaks'] == "y" ? nl2br($article) : $article)."
</td>
</tr>
<tr>
<td align='center' class='news-footer'>\n";
echo openform("A",$info['article_id']).articleposter($info,"<br>").articleopts($info,"&middot;").closeform("A",$info['article_id']);
echo "</td>
</tr>
</table>\n";

}

function opentable($title) {

echo "<table width='100%' cellpadding='0' cellspacing='0' class='border'>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td style='width:14px'><img src='".THEME."images/capl.gif' alt=''></td>
<td class='capmain'><b>$title</b></td>
<td style='width:14px'><img src='".THEME."images/capr.gif' alt=''></td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td class='main-body'>\n";

}

function closetable() {

echo "</td>
</tr>
</table>\n";

}

function openside($title) {

echo "<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td>
<tr>
<td style='width:14px'><img src='".THEME."images/scapleft.gif' alt=''></td>
<td class='scapmain'><b>$title</b></td>
<td style='width:14px'><img src='".THEME."images/scapright.gif' alt=''></td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>

<td class='side-body'>\n";

}


function closeside() {

echo "</td>
</tr>
</table>\n";
tablebreak();

}

function opensidex($title,$state="off") {

$boxname = str_replace(" ", "", $title);
echo "<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td>
<tr>
<td style='width:15px'><img src='".THEME."images/scapleft.gif' alt=''></td>
<td class='scapmain'><b>$title</b></td>
<td class='scapmain' align='right'>".panelbutton($state,$boxname)."</td>
<td style='width:15px'><img src='".THEME."images/scapright.gif' alt=''></td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>

<td class='side-body'>
<div id='box_$boxname'".($state=="off"?" style='display:none'":"").">\n";

}


function closesidex() {

echo "</div>
</td>
</tr>
</table>\n";
tablebreak();

}

function tablebreak() {

echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td height='5'></td>\n</tr>\n</table>\n";

}
?>
